(function ($) {
  Drupal.behaviors.tinynav = {
    attach: function (context, settings) {
      // make sure we don't try to access an undefined array
      settings.tinynav = settings.tinynav || {
        selector: '#zone-menu .region-menu ul.menu',
        media_query: 'all and (max-width:780px)',
        header: false,
        active: 'active-trail'
      }
      // Add the class to the selectors so we can access it later
      $(settings.tinynav.selector).addClass('tinyjs');

      // Build the Settings array
      var tinyNavSettings = {
        header: settings.tinynav.header
      };
      if (settings.tinynav.active) {
        tinyNavSettings.active = settings.tinynav.active;
      }

      // Tinynav (<-- new verb) them all
      $('.tinyjs').tinyNav(tinyNavSettings);
      // Add a wrapper to the select element
      $('select.tinynav').wrap('<div class="tinynav-wrapper"/>');
    },
    weight: 99
  };
})(jQuery);
